Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## millgamej2se11
Class Mill

    java.lang.Object
      millgamej2se11.Mill

    public class Mill

extends java.lang.Object

A Malom egyedeket reprezentáló osztály.

Constructor Summary
`Mill(Point first, Point second, Point third)` Egy malom objektumot létrehozó konstruktor.

Method Summary
`boolean` | `contains(Point point)` Megállapítja, hogy a megadott pontot tartalmazza-e a malom.
`boolean` | `equals(java.lang.Object obj)` A malmot és a megadott másik malmot egyenlőségre vizsgálja.
`boolean` | `isUnused()` Megállapítja, hogy a malom 'használt'-e.
`void` | `setUsed()` A malmot 'használt' jelzővel látja el.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Mill

    public Mill(Point first,
                Point second,
                Point third)

  Egy malom objektumot létrehozó konstruktor.

  Parameters:
    `first` - A malom első pontja.
    `second` - A malom második pontja.
    `third` - A malom harmadik pontja.

Method Detail

### contains

    public boolean contains(Point point)

  Megállapítja, hogy a megadott pontot tartalmazza-e a malom.

  Parameters:
    `point` - A vizsgált pont.
  Returns:
    true, ha a pont eleme a malomnak, false egyébként.

### isUnused

    public boolean isUnused()

  Megállapítja, hogy a malom 'használt'-e.

  Returns:
    true, ha használt, false egyébként.

### setUsed

    public void setUsed()

  A malmot 'használt' jelzővel látja el.

### equals

    public boolean equals(java.lang.Object obj)

  A malmot és a megadott másik malmot egyenlőségre vizsgálja.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - A másik malom
  Returns:
    true, ha a kát malom minden pontja közös, false egyébként.

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD